soundBase = Create("CSound")
soundBase.m_volumeMult = 1
soundBase.m_loopSpeed = 1.5 -- 3
soundBase.m_soundFiles = {}

function CreateSound(volumeMult, ...)
	local obj = Clone(soundBase)
	obj.m_volumeMult = volumeMult
	obj.m_soundFiles = {...}
	return obj
end

-- Player

jump = CreateSound(1, "Jump/1978", "Jump/1978b")

fall = CreateSound(1, "Fall/8263b", "Fall/8263c", "Fall/8264b", "Fall/8264c")

fall_water = CreateSound(1, "FallWater/910b", "FallWater/7530b", "FallWater/7531b", "FallWater/7532b")

hurt = CreateSound(1, "Hurt/1625a", "Hurt/1625b", "Hurt/1625c")

outOfAmmo = CreateSound(2, "_Misc/OutOfAmmo/Foley_Tool Box_Small Metal Latch_Closing_Locked_HutchSFX")

-- Weapons

plasma = CreateSound(1, "Plasma/plasma1-3934", "Plasma/plasma2-3934", "Plasma/plasma3-3934")

shotgun = CreateSound(1, "Shotgun/shotgun-3934")

plasmaSnipe = CreateSound(1, "PlasmaSniper/plasmaSnip-3934")

laser = CreateSound(1, "Laser/190707_laser_1", "Laser/190707_laser_2", "Laser/190707_laser_3", "Laser/190707_laser_4", "Laser/190707_laser_5", "Laser/190707_laser_6")

particle = CreateSound(0.75, "_Items/Particle/Alliance-AssaultRifle_13-Single_Shot-04", "_Items/Particle/Alliance-AssaultRifle_13-Single_Shot-05")

particleShotgun = CreateSound(0.75, "_Items/Particle/Alliance-AssaultRifle_09-Single_Shot-01", "_Items/Particle/Alliance-AssaultRifle_09-Single_Shot-02", "_Items/Particle/Alliance-AssaultRifle_09-Single_Shot-03")

storm = CreateSound(1, "_Items/Storm/1-Lightning bolt", "_Items/Storm/2-Lightning bolt")

stormLight = CreateSound(0.2, "_Items/Storm/1-Lightning bolt", "_Items/Storm/2-Lightning bolt")

rocketFire = CreateSound(1, "_Items/Rocket/Rocket launch 01_SFXBible_ss06670")

rocketHit = CreateSound(1, "_Items/Rocket/Grenade explosion_BLASTWAVEFX_31311")

-- Turrets

defensePlasma = CreateSound(1, "Defense/defense-PHASER03", "Defense/defense-PHASER04")

particleTurret = CreateSound(0.5, "_Items/Particle/Alliance-AssaultRifle_13-Single_Shot-04", "_Items/Particle/Alliance-AssaultRifle_13-Single_Shot-05")

mine = CreateSound(1, "_Items/Mine/Blast laser robotic power down_BLASTWAVEFX_20097")

ceilingTurret = CreateSound(2.5, "_Items/CeilingTurret/Laser Cannon-Blast or Shot-Muffled-Exhale")

-- Monsters

firefly = CreateSound(1, "Firefly/firefly-11037", "Firefly/firefly2-11038")

hound = CreateSound(1, "Hound/dog 74")

dweller = CreateSound(1, "Dweller/mole-199", "Dweller/mole-204")

dwellerBoss = CreateSound(2, "Dweller/mole-199", "Dweller/mole-204")

fish = CreateSound(1, "Fish/fish2_21520", "Fish/fish2b_21520")

birdBomb = CreateSound(2.5, "_Monsters/BirdBomb/1-Lightning bolt")

monsterBat = CreateSound(2.5, "_Monsters/Bat/ANIMAL MADAGASCAR HISSING COCKROACH HISS 01", "_Monsters/Bat/Monster element insect hiss scream screech 01_SFXBible_ss00302")

ant = CreateSound(1, "_Monsters/Ant/Allosaurus", "_Monsters/Ant/DinosaurExhale")

bossCrab = CreateSound(2.5, "_Monsters/BossCrab/dinosaur roar 9 short")

bossCrabScream = CreateSound(10, "_Monsters/BossCrab/dinosaurs ROAR 1")

bossBird = CreateSound(10, "_Monsters/BossBird/Monster bird squawk dinosaur creature_BLASTWAVEFX_00145")

miniBalrog = CreateSound(1.5, "_Monsters/MiniBalrog/EFX INT Dog Growl 23", "_Monsters/MiniBalrog/EFX INT Dog Growl 22")

spiders = CreateSound(0.5, "_Monsters/Fire/DragonFlameBreathiiA", "_Monsters/Fire/FirebreathingDragonFlameA")

balrog = CreateSound(5, "_Monsters/Balrog/Monster element growl 01_SFXBible_ss00283")

monsterParticleGround = CreateSound(0.5, "_Monsters/Particle/Alliance-AssaultRifle_11-Single_Shot-01", "_Monsters/Particle/Alliance-AssaultRifle_11-Single_Shot-04", "_Monsters/Particle/Alliance-AssaultRifle_11-Single_Shot-05")

monsterParticle = CreateSound(1, "_Monsters/Particle/Alliance-AssaultRifle_11-Single_Shot-01", "_Monsters/Particle/Alliance-AssaultRifle_11-Single_Shot-04", "_Monsters/Particle/Alliance-AssaultRifle_11-Single_Shot-05")

-- loop sounds

miniaturizor = CreateSound(0.4, "_Misc/Miniaturizor/3522")

rain = CreateSound(0.5, "_Misc/Rain/rain_loop_short")

rocketCinematic = CreateSound(3, "_Misc/Rocket/11574_rocket")

rocketExplosion = CreateSound(5, "_Misc/Rocket/explosion")

jetpack = CreateSound(0.7, "_Items/Jetpack/Sound design element rocket booster space shuttle rumble crackle loop_BLASTWAVEFX_28682")

waterfall = CreateSound(0.4, "_Misc/Waterfall/Waterfall river run flow loop large rumble_BLASTWAVEFX_31723")
waterfall.m_loopSpeed = 0.2

lava = CreateSound(1, "_Misc/Volcano/boiling fire")
lava.m_loopSpeed = 0.5

fireForest = CreateSound(1, "_Misc/Fire/Fire building exterior wood flames large loop_BLASTWAVEFX_11534 short")
fireForest.m_loopSpeed = 0.5

-- Items && Misc

doorOpen = CreateSound(1, "_Items/Door/open - Airy Spaceship Door Open Swish")

doorClose = CreateSound(1, "_Items/Door/close - Airy Spaceship Door Open Soft-1")

teleport = CreateSound(2.5, "_Items/Teleport/SCIENCE FICTION GLASS TRANSISTION 05")

potions = CreateSound(2.5, "_Items/Potions/Gulp_Liquid_Fienup_001 (1)", "_Items/Potions/Sipping sound_AOS01072")

fireImpact = CreateSound(1, "_Misc/Fire impact/Fireball burst flame blast_BLASTWAVEFX_11450", "_Misc/Fire impact/Fireball swoosh 04_SFXBible_ss00713")

lavaEruption = CreateSound(3, "_Misc/Volcano/VOLCANO-INSIDE PERSPECTIVE")

alarm = CreateSound(3, "_Alarm/22414")
